Skip to Content

POST /setting/csv

Parse Setting Csv

Parse a CSV file and return mapped items for preview.

Request Body

FieldTypeRequiredDescription
filestringNo—
idempotency_keystringNo—
softbooleanNo—
acceptbooleanNo—

Response (ParseSettingCsvApiResponse)

FieldTypeRequiredDescription
upload_idstringYes—
itemsCreateSettingItem[]Yes—
mapped_fieldsstring[]Yes—
row_countintegerYes—
idempotency_keystringNoServer-minted soft-call key (audit call_id). On a soft propose, echo this back with accept to promote/reject the staged raw-CSV upload. NOTE: ack returns no items (the preview is only on the propose).
Last updated on